#include<bits/stdc++.h>
using namespace std;
struct frilenser{
    double zarada;
    double trpeljivost;
};
bool poProcentima(frilenser a,frilenser b)
{
    if(a.trpeljivost>b.trpeljivost)
        return true;
    return false;
}
int main()
{
    int n;
    cin>>n;
    frilenser a[n];
    for(int i=0;i<n;i++)
        cin>>a[i].zarada>>a[i].trpeljivost;
    sort(a,a+n,poProcentima);
    for(int i=1;i<n;i++)
        a[i].zarada+=a[i-1].zarada;
    double maks=0,t;
    for(int i=0;i<n;i++)
    {
        t=a[i].zarada*a[i].trpeljivost/100;
        if(t>maks)
            maks=t;
    }
    cout<<maks;
    return 0;
}